<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Task 33.20-Update UserDetails</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
        integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">

</head>

<body>
    <div class="container jumbotron">
        <div class="mb-4 text-center">
            <h3>Thêm User</h3>
        </div>
        <div class="row form-group">
            <div class="col-sm-4">
                <label>First Name</label>
            </div>
            <div class="col-sm-8">
                <input id="inp-first-name" class="form-control">
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-4">
                <label>Last Name</label>
            </div>
            <div class="col-sm-8">
                <input id="inp-last-name" class="form-control">
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-4"><label>Subject</label></div>
            <div class="col-sm-8"><input id="inp-subject" class="form-control"></div>
        </div>
        <div class="row form-group">
            <div class="col-sm-4"><label>Country</label></div>
            <div class="col-sm-8">
                <select id="select-country" class="form-control" name="Country">
                    <option value="VN">Việt Nam</option>
                    <option value="USA">USA</option>
                    <option value="AUS">Australia</option>
                    <option value="CAN">Canada</option>
                </select>
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-4"><label>Customer Type</label></div>
            <div class="col-sm-8">
                <select id="select-customerType" class="form-control" name="customerType">
                    <option value="Standard">Standard</option>
                    <option value="Gold">Gold</option>
                    <option value="Premium">Premium</option>
                </select>
            </div>
        </div>
        <!-- <div class="row form-group">
            <div class="col-sm-4"><label>Register Status</label></div>
            <div class="col-sm-8">
                <select id="select-registerStatus" class="form-control" name="registerStatus">
                    <option value="New">New</option>
                    <option value="Accepted">Accepted</option>
                    <option value="Denied">Denied</option>
                </select>
            </div>
        </div> -->
        <div class="row form-group">
            <div class="col-sm-4">

            </div>
            <div class="col-sm-8">
                <button id="btn-insert" class="btn btn-success w-25">Insert User</button>
                <button id="btn-cancel" class="btn btn-success w-25">Hủy bỏ</button>
            </div>
        </div>
    </div>
</body>
<script>
    /***REGION 1:***/
   
    /***REGION 2:***/
    $(document).ready(function () {
        onPageLoading();
    });
    /***REGION 3:***/
    function onPageLoading() {
        console.log("Tải trang...");
        $("#btn-insert").on("click", function(){
            onBtnInsertClick();
        });
        //callApiGetUserInfo(gUserId);
    }
    /***REGION 4:***/

    // function callApiGetUserInfo(paramUserId) {
    //     $.ajax({
    //         url: "http://203.171.20.210:8080/devcamp-register-java-api/users/" + paramUserId,
    //         type: "GET",
    //         dataType: "json",
    //         success: function (res) {
    //             console.log(res);
    //             loadUserInfoToUpdateForm(res);
    //             $("#btn-edit").on("click", function () {
    //                 onBtnUpdateClick();
    //             });
    //         },
    //         error: function (ajaxContext) {
    //             console.log(ajaxContext.responseText);
    //         },
    //     });
    // }
    // function loadUserInfoToUpdateForm(paramUserInfoRes) {

    //     $("#inp-first-name").val(paramUserInfoRes.firstname);
    //     $("#inp-last-name").val(paramUserInfoRes.lastname);
    //     $("#inp-subject").val(paramUserInfoRes.subject);
    //     $("#select-country").val(paramUserInfoRes.country);
    //     $("#select-customerType").val(paramUserInfoRes.customerType);
    //     $("#select-registerStatus").val(paramUserInfoRes.registerStatus);
    // }
    // function onBtnUpdateClick() {
    //     "use strict";
    //     console.log("Nút update được nhấn kình kình kịch");
    //     var vUserInfo = {
    //         country:"",
    //         customerType:"",
    //         firstname:"",
    //         lastname:"",
    //         registerStatus:"",
    //         subject:""
    //     }
    //     getUserNewInfo(vUserInfo);
    //     var vIscheck=validateData(vUserInfo);
    //     if (vIscheck){
    //         callApiToUpdateUserInfo(vUserInfo);
    //     }
    // }
    // function getUserNewInfo(paramUserInfo) {
      
    //     paramUserInfo.country=$("#select-country").val();
    //     paramUserInfo.customerType=$("#select-customerType").val();
    //     paramUserInfo.firstname=$("#inp-first-name").val().trim();
    //     paramUserInfo.lastname=$("#inp-last-name").val().trim();
    //     paramUserInfo.registerStatus=$("#select-registerStatus").val();
    //     paramUserInfo.subject=$("#inp-subject").val().trim();
    //     console.log(paramUserInfo);
    // }
    // function validateData(paramUserInfo){
    //     if (paramUserInfo.firstname==""||paramUserInfo.lastname==""||
    //     paramUserInfo.country==""||paramUserInfo.subject==""||
    //     paramUserInfo.customerType==""||paramUserInfo.registerStatus==""){
    //         alert("Vẫn có ô nhập còn trống, xin nhập đầy đủ");
    //         return false;
    //     } return true;
    // }
    // function callApiToUpdateUserInfo(paramUserInfo){
    //     $.ajax({
	// 		url: "http://203.171.20.210:8080/devcamp-register-java-api/users/"+gUserId,
	// 		type: "PUT",
    //   contentType: "application/json",
	// 		data: JSON.stringify(paramUserInfo),
	// 		success: function(res) {
	// 			console.log(res);
    //             alert("Cập nhật thành công, xem console thông tin mới");
	// 			window.location.href="InsertToTable.html";
	// 		},
	// 		error: function(ajaxContext) {
	// 			alert(ajaxContext.responseText);
	// 		},
	// 	});	
    // }
    function onBtnInsertClick(){
        "use strict";
        console.log("Nút insert được nhấn kình kình kịch");
        var vNewUserInfo = {
        country:"",
        customerType:"",
        firstname:"",
        lastname:"",
        subject:""
        }
        getNewUserInfo(vNewUserInfo);
        var vIsCheck=validateNewUserData(vNewUserInfo);
        if (vIsCheck){
        callApiToPostNewUser(vNewUserInfo);
        }
    }
    function getNewUserInfo(paramNewUserInfo){
        paramNewUserInfo.country=$("#select-country").val();
        paramNewUserInfo.customerType=$("#select-customerType").val();
        paramNewUserInfo.firstname=$("#inp-first-name").val().trim();
        paramNewUserInfo.lastname=$("#inp-last-name").val().trim();
        paramNewUserInfo.subject=$("#inp-subject").val().trim();
        console.log(paramNewUserInfo);
    }
    function validateNewUserData(paramNewUserInfo){
        if (paramNewUserInfo.firstname==""||paramNewUserInfo.lastname==""||
        paramNewUserInfo.country==""||paramNewUserInfo.subject==""||
        paramNewUserInfo.customerType==""){
            alert("Vẫn có ô nhập còn trống, xin nhập đầy đủ");
            return false;
        } return true;
    }
    function callApiToPostNewUser(paramNewUserInfo){
        $.ajax({
			url: "http://203.171.20.210:8080/crud-api/users/",
			type: "POST",
            contentType: "application/json",
			data: JSON.stringify(paramNewUserInfo),
			success: function(res) {
				console.log(res);
                alert("Thêm mới thành công, xem console thông tin mới");
				window.location.href="InsertToTable.html";
			},
			error: function(ajaxContext) {
				alert(ajaxContext.responseText);
			},
		});	
    }
</script>

</html>